//---------------------------------------------------------------------------

#ifndef udi_client_formH
#define udi_client_formH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Udi2_ice.h>

//---------------------------------------------------------------------------
class TXEbugTestFrame : public TForm
{
__published:    // IDE-managed Components
    TButton *okButton;
    TButton *exceptionButton;
    void __fastcall okButtonClick(TObject *Sender);
    void __fastcall exceptionButtonClick(TObject *Sender);
    void __fastcall FormCreate(TObject *Sender);
private:    // User declarations

    Ice::CommunicatorPtr    m_ic    ;
    Ice::ObjectPrx          m_base  ;
    MUdi::IUdiUserPrx       m_udi   ;

public:     // User declarations
    __fastcall TXEbugTestFrame(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TXEbugTestFrame *XEbugTestFrame;
//---------------------------------------------------------------------------
#endif
